Bug 48608 - Add text-combine property support to CSS parser
Summary: Add text-combine property support to CSS parser
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 48538
  Show dependency treegraph
 
Reported: 2010-10-28 19:20 PDT by Takumi Takano
Modified: 2010-11-03 02:51 PDT (History)
9 users (show)

See Also:


Attachments
Proposed patch (16.04 KB, patch)
2010-10-29 02:43 PDT, Takumi Takano
hyatt: review-
Details | Formatted Diff | Diff
New patch (17.53 KB, patch)
2010-10-29 19:30 PDT, Takumi Takano
no flags Details | Formatted Diff | Diff
(forgot to set review flag...) (17.53 KB, patch)
2010-10-29 19:32 PDT, Takumi Takano
cfleizach: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Fixed commit error. (Removed tab chars from my test.) (17.56 KB, patch)
2010-11-02 23:56 PDT, Takumi Takano
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Takumi Takano 2010-10-28 19:20:05 PDT
Add text-combine property to our property list. Reflect the setting to a RenderStyle object.
Comment 1 Takumi Takano 2010-10-29 02:43:48 PDT
Created attachment 72306 [details]
Proposed patch
Comment 2 Dave Hyatt 2010-10-29 13:29:54 PDT
Comment on attachment 72306 [details]
Proposed patch

I would prefer it if TextCombine was put in StyleRareNonInheritedData instead.  In general we're trying to keep the CSS3 stuff out of the original set of inherited/noninherited flags, since they will be rarely used.  I let writing-mode slide originally, since I figured it would end up unprefixed eventually and be compatible with WinIE, but text-combine is going to be pretty obscure, so let's put it in the rare struct.
Comment 3 Takumi Takano 2010-10-29 19:30:24 PDT
Created attachment 72427 [details]
New patch

Moved textCombine into StyleRareNonInheritedData as Dave suggested.
Comment 4 Takumi Takano 2010-10-29 19:32:18 PDT
Created attachment 72428 [details]
(forgot to set review flag...)
Comment 5 chris fleizach 2010-11-02 11:05:27 PDT
Comment on attachment 72428 [details]
(forgot to set review flag...)

looks ok.
Comment 6 WebKit Commit Bot 2010-11-02 16:45:24 PDT
The commit-queue encountered the following flaky tests while processing attachment 72428 [details]:

webarchive/test-link-rel-icon.html

Please file bugs against the tests.  These tests were authored by ddkilzer@webkit.org.  The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2010-11-02 16:46:51 PDT
Comment on attachment 72428 [details]
(forgot to set review flag...)

Rejecting patch 72428 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', 'land-attachment', '--force-clean', '--ignore-builders', '--non-interactive', '--parent-command=commit-queue', 72428]" exit_code: 2
Last 500 characters of output:
ng/style/StyleRareNonInheritedData.h
A repository hook failed: Commit blocked by pre-commit hook (exit code 1) with output:

    The following files contain tab characters:

        trunk/LayoutTests/fast/text/international/text-combine-parser-test.html

    Please use spaces instead to indent.
    If you must commit a file with tabs, use svn propset to set the "allow-tabs" property.
 at /usr/local/git/libexec/git-core/git-svn line 572


Failed to run "[u'git', u'svn', u'dcommit']" exit_code: 1

Full output: http://queues.webkit.org/results/4906020
Comment 8 Takumi Takano 2010-11-02 23:56:13 PDT
Created attachment 72791 [details]
Fixed commit error. (Removed tab chars from my test.)
Comment 9 WebKit Commit Bot 2010-11-03 00:45:41 PDT
Comment on attachment 72791 [details]
Fixed commit error. (Removed tab chars from my test.)

Clearing flags on attachment: 72791

Committed r71218: <http://trac.webkit.org/changeset/71218>
Comment 10 WebKit Commit Bot 2010-11-03 00:45:47 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 WebKit Review Bot 2010-11-03 02:15:18 PDT
http://trac.webkit.org/changeset/71218 might have broken GTK Linux 64-bit Debug
The following tests are not passing:
svg/css/getComputedStyle-basic.xhtml
Comment 12 Daniel Bates 2010-11-03 02:51:31 PDT
(In reply to comment #11)
> http://trac.webkit.org/changeset/71218 might have broken GTK Linux 64-bit Debug
> The following tests are not passing:
> svg/css/getComputedStyle-basic.xhtml

Committed fix in changeset 71225 <http://trac.webkit.org/changeset/71225>; removed platform-specific GTK results so that GTK DRT uses the platform-independent results.